Уязвимость BDU:2020-00743

Дата: 09.02.2018. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2020-00743.

Наименование уязвимости: Уязвимость функции __zzip_parse_root_directory библиотеки архивирования ZZIPlib, связанная с неограниченным распределением ресурсов, позволяющая нарушителю вызвать отказ в обслуживании.

Описание уязвимости: Уязвимость функции __zzip_parse_root_directory библиотеки архивирования ZZIPlib связана с неограниченным распределением ресурсов. Эксплуатация уязвимости может позволить нарушителю, действующему удалённо, вызвать отказ в обслуживании при помощи специального созданного zip-файла
Уязвимое ПО: Операционная система Canonical Ltd. Ubuntu 14.04 LTS | Операционная система Canonical Ltd. Ubuntu 16.04 LTS | Операционная система Canonical Ltd. Ubuntu 17.10 | Операционная система Canonical Ltd. Ubuntu 18.04 LTS | Операционная система АО «НПО РусБИТех» Astra Linux 1.6 «Смоленск» | Операционная система Debian GNU/Linux 8.0 | Операционная система Debian GNU/Linux 9.0 | Операционная система Debian GNU/Linux 10.0 | Прикладное ПО информационных систем Guido U. Draheim zziplib до 0.13.69 |

Наименование ОС и тип аппаратной платформы: Ubuntu 1404 LTS | Ubuntu 1604 LTS | Ubuntu 1710 | Ubuntu 1804 LTS | Astra Linux 16 «Смоленск» | Debian GNU/Linux 80 | Debian GNU/Linux 90 | Debian GNU/Linux 100 |
Дата выявления: 09.02.2018.
CVSS 2.0: AV:N/AC:M/Au:N/C:N/I:N/A:C
Уровень опасности уязвимости: Высокий уровень опасности (базовая оценка CVSS 2.0 составляет 7,1)
Средний уровень опасности (базовая оценка CVSS 3.0 составляет 6,5)

Возможные меры по устранению:
Использование рекомендаций:
Для zziplib:
Обновление программного обеспечения до 0.13.62-3.2~deb9u1 или более поздней версии

Для Debian:
Обновление программного обеспечения (пакета zziplib) до 0.13.62-3.2~deb9u1 или более поздней версии

Для Ubuntu:
https://usn.ubuntu.com/3699-1/

Для Astra Linux:
https://wiki.astralinux.ru/pages/viewpage.action?pageId=57444186
.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Данные уточняются
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2018-6869.

Тип ошибки CWE: CWE-770
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
https://nvd.nist.gov/vuln/detail/CVE-2018-6869
https://security-tracker.debian.org/tracker/CVE-2018-6869
https://github.com/gdraheim/zziplib/issues/22
https://github.com/gdraheim/zziplib/commit/0c0c9256b0903f664bca25dd8d924211f81e01d3
https://usn.ubuntu.com/3699-1/
https://wiki.astralinux.ru/pages/viewpage.action?pageId=57444186

ФСТЭК России

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *